#review-question h1,
#review-question-show h1 {
  margin-top: 0;
}

#review-question main,
#review-question-show main {
  padding-top: 100px;
}

#review-question .review__question-label,
#review-question-show .review__question-label {
  font-size: 1.5em;
}

#admin-question .question,
#review-question .question {
  border: 1px solid #cecbe0;
  background: #fbfbfd;
  padding: 5px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  border-radius: 2px;
  margin-bottom: 10px;
}

#admin-question h2,
#review-question h2 {
  text-transform: uppercase;
  background: #30323e;
  color: #ECEBF3;
  padding: 10px;
  border-radius: 2px;
  margin: 5px 0 0;
}

#admin-question h3,
#review-question h3 {
  font-family: "Anton", sans-serif;
  font-size: 1em;
  padding: 10px;
  background: #f4b400;
  color: #6d7275;
  text-transform: uppercase;
  border-radius: 2px;
  margin: 5px 0 0;
}

#admin-question h4,
#review-question h4 {
  padding: 10px;
  font-size: 1em;
  font-family: "Anton", sans-serif;
  font-weight: bold;
  background: #8f010f;
  color: #f9b800;
  text-transform: uppercase;
  border-radius: 2px;
  margin: 5px 0 0;
}

#admin-question .switch,
#review-question .switch {
  padding-top: 30px;
}

#admin-question .question__answers,
#review-question .question__answers {
  border: 1px solid #cecbe0;
  background: #fbfbfd;
  padding: 5px;
}

#admin-question-show .answer,
#review-question-show .answer {
  padding-top: 0.75rem !important;
  padding-bottom: 0.75rem !important;
  line-height: 1.1em;
  margin-bottom: 15px;
  font-size: 1.5em;
  border: 1px solid #cecbe0;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  border-radius: 3px;
  background: #ECEBF3;
}

#admin-question-show .answer > div,
#review-question-show .answer > div {
  display: inline-block;
  vertical-align: middle;
}

#admin-question-show .answer > div:nth-child(1),
#review-question-show .answer > div:nth-child(1) {
  width: 30px;
}

#admin-question-show .answer > div:nth-child(2),
#review-question-show .answer > div:nth-child(2) {
  width: calc(100% - 40px);
}

#admin-question-show .answer .checkbox,
#review-question-show .answer .checkbox {
  display: inline-block;
}

#admin-question-show .answer .checkbox--empty,
#review-question-show .answer .checkbox--empty {
  border: 2px solid black;
  height: 20px;
  width: 20px;
  display: inline-block;
  float: left;
}

#admin-question-show .answer .checkbox--empty.ng-hide
+ .answer--true
+ .answer--value,
#review-question-show .answer .checkbox--empty.ng-hide
+ .answer--true
+ .answer--value {
  color: #26a69a;
}

#admin-question-show .answer--true,
#review-question-show .answer--true {
  top: -4px;
  left: -5px;
  width: 12px;
  height: 22px;
  border-top: 2px solid transparent;
  border-left: 2px solid transparent;
  border-right: 2px solid #26a69a;
  border-bottom: 2px solid #26a69a;
  -webkit-transform: rotate(40deg);
  transform: rotate(40deg);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform-origin: 100% 100%;
  transform-origin: 100% 100%;
}

#admin-question-show .answer--false,
#review-question-show .answer--false {
  position: relative;
  margin-right: 13px;
}

#admin-question-show .answer--false::before,
#review-question-show .answer--false::before {
  position: absolute;
  content: ' ';
  top: -7px;
  left: -2px;
  width: 25px;
  height: 25px;
  border-top: 2px solid transparent;
  border-left: 2px solid #C20114;
  border-right: 2px solid transparent;
  border-bottom: 2px solid transparent;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform-origin: 100% 100%;
  transform-origin: 100% 100%;
}

#admin-question-show .answer--false::after,
#review-question-show .answer--false::after {
  position: absolute;
  content: ' ';
  top: -25px;
  right: -25px;
  width: 25px;
  height: 25px;
  border-top: 2px solid transparent;
  border-left: 2px solid transparent;
  border-right: 2px solid #C20114;
  border-bottom: 2px solid transparent;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform-origin: 100% 100%;
  transform-origin: 100% 100%;
}

#error-page {
  background: #30323e;
  text-align: center;
  color: white;
}

#error-page img {
  width: 100%;
}

#error-page main {
  height: 400px;
  margin-top: 50px;
  padding: 50px;
}

.color-accent {
  color: #6d7275;
}

.color-primary {
  color: #30323e;
}

.color-secondary {
  color: #C20114;
}

.color-accent-secondary {
  color: #f9b800;
}

.color-body {
  color: #ECEBF3;
}

.font-cursive {
  font-family: "Tangerine", cursive;
}

main {
  padding-top: 50px;
}

body {
  background-color: #ECEBF3;
  color: #30323e;
}

a {
  text-decoration: none !important;
  color: #30323e;
}

h1 {
  font-size: 2em;
  padding-top: 0;
  font-family: "Poiret One", cursive;
  color: #C20114;
}

h2 {
  font-size: 1.5em;
  padding-top: 0;
  font-family: "Poiret One", cursive;
  color: #C20114;
}

.bold {
  font-weight: bold;
}

button-flat.atpl,
a.btn-flat.atpl,
input.btn-flat.atpl {
  color: #f9b800;
}

button-flat.atpl:hover,
a.btn-flat.atpl:hover,
input.btn-flat.atpl:hover {
  background: #6d7275;
}

button.white-atpl,
a.btn.white-atpl,
input.btn.white-atpl {
  border: 1px solid #cecbe0;
  background: #fbfbfd;
  color: #30323e;
}

button.white-atpl:hover,
a.btn.white-atpl:hover,
input.btn.white-atpl:hover {
  /*background-color: $color-primary;
    color: $color-white;*/
  background-color: #ECEBF3;
  border: 1px solid #30323e;
  color: #30323e;
}

button.primary-atpl,
a.btn.primary-atpl,
input.btn.primary-atpl {
  background-color: #30323e;
}

button.primary-atpl:hover,
a.btn.primary-atpl:hover,
input.btn.primary-atpl:hover {
  background-color: #1a1b21;
}

button.secondary-atpl,
a.btn.secondary-atpl,
input.btn.secondary-atpl {
  background-color: #C20114;
}

button.secondary-atpl:hover,
a.btn.secondary-atpl:hover,
input.btn.secondary-atpl:hover {
  background-color: #f50119;
}

button.accent-atpl,
a.btn.accent-atpl,
input.btn.accent-atpl {
  background-color: #6d7275;
}

button.accent-atpl:hover,
a.btn.accent-atpl:hover,
input.btn.accent-atpl:hover {
  background-color: #868c8f;
}

input:not([type]):focus:not([readonly]),
input[type=text]:focus:not([readonly]),
input[type=password]:focus:not([readonly]),
input[type=email]:focus:not([readonly]),
input[type=url]:focus:not([readonly]),
input[type=time]:focus:not([readonly]),
input[type=date]:focus:not([readonly]),
input[type=datetime]:focus:not([readonly]),
input[type=datetime-local]:focus:not([readonly]),
input[type=tel]:focus:not([readonly]),
input[type=number]:focus:not([readonly]),
input[type=search]:focus:not([readonly]),
textarea.materialize-textarea:focus:not([readonly]) {
  border-bottom: 1px solid #C20114;
  box-shadow: 0 1px 0 0 #C20114;
}

.img-container__50 {
  width: 50%;
  margin: 0 auto;
}

.img-container__50 img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

.img-container__80 {
  width: 80%;
  margin: 0 auto;
}

.img-container__80 img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

.img-container__90 {
  width: 90%;
  margin: 0 auto;
}

.img-container__90 img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

.img-container__95 {
  width: 95%;
  margin: 0 auto;
}

.img-container__95 img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

.img-container__100 {
  width: 100%;
  margin: 0 auto;
}

.img-container__100 img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

/* Surcharge materializecss */

[type="radio"]:checked + label:after,
[type="radio"].with-gap:checked + label:before,
[type="radio"].with-gap:checked + label:after {
  border-color: #C20114;
}

[type="radio"]:checked + label:after,
[type="radio"].with-gap:checked + label:after {
  background-color: #C20114;
}

.dropdown-content li > a,
.dropdown-content li > span {
  color: #30323e;
}

[type="checkbox"]:checked + label:before {
  border-right-color: #C20114;
  border-bottom-color: #C20114;
}

input:not([type]):focus:not([readonly]) + label,
input[type=text]:focus:not([readonly]) + label,
input[type=password]:focus:not([readonly]) + label {
  color: #db0117;
}

.switch label input[type=checkbox]:checked + .lever {
  background-color: #f9b800;
}

.switch label input[type=checkbox]:checked + .lever:after {
  background-color: #f9b800;
}

header {
  color: #ECEBF3;
  position: fixed;
  z-index: 1000;
  width: 100%;
  min-height: 50px;
  background: #30323e;
  vertical-align: middle;
  border-bottom: 2px solid #C20114;
  padding: 10px;
}

header.active {
  box-shadow: 0 0 10px black;
}

header a {
  color: #ECEBF3;
}

header #menu-home {
  padding-top: 5px;
  float: left;
}

header #menu-home > i {
  float: left;
  margin-top: 3px;
}

header #subject {
  font-size: 1em;
  font-weight: 400;
  padding-top: 11px;
  float: left;
  margin-left: 15px;
  font-family: "Lato", sans-serif;
}

#homepage h1 {
  font-size: 5em;
  text-align: center;
}

#homepage h2 {
  text-align: center;
  font-size: 2em;
  color: #6d7275;
}

#homepage h3 {
  font-size: 2em;
}

#homepage #opening {
  text-align: justify;
}

#homepage #welcome {
  font-family: "Tangerine", cursive;
  font-size: 5em;
  color: #6d7275;
  text-shadow: 1px 1px 1px white;
}

#homepage #welcome-message {
  font-size: 1.3em;
  font-weight: 300;
}

#homepage #enjoy {
  font-family: "Tangerine", cursive;
  font-size: 2.5em;
  color: #6d7275;
  text-shadow: 1px 1px 1px white;
  margin-right: 5px;
  line-height: 0.8em;
}

#homepage #android-app {
  margin-top: 20px;
  font-size: 1.3em;
  font-weight: 300;
}

#homepage #android-app #app-ico {
  margin-top: 20px;
  border-radius: 5px;
}

#homepage #android-app img {
  height: 45px;
}

#homepage section {
  padding-top: 40px;
}

#homepage section div {
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  border-radius: 3px;
  border: 1px solid #cecbe0;
  background: #fbfbfd;
  padding: 10px;
  margin-bottom: 10px;
}

#homepage section div > a {
  width: 100%;
  display: inline-block;
}

#login main {
  padding-top: 100px;
}

#register main {
  padding-top: 100px;
}

#confirmed main {
  padding-top: 100px;
}

#confirmed .congrats {
  font-size: 2em;
}

#subject section .subject__container {
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  border-radius: 3px;
  border: 1px solid #cecbe0;
  background: #fbfbfd;
  padding: 10px;
  margin-bottom: 10px;
  position: relative;
}

#subject section .subject__container > a {
  width: 100%;
  display: inline-block;
  padding-right: 140px;
}

#subject .stats__container {
  display: inline-block;
  position: absolute;
  right: 15px;
}

#subject .stats {
  float: right;
  color: #6d7275;
}

#subject .stats > i {
  float: left;
  margin-top: -2px;
  margin-right: 2px;
}

#subject .stats.star > i {
  font-size: 1.5em;
  margin-top: -1px;
}

#subject .stats + .stats {
  margin-right: 10px;
}

#subject .stats.max_done {
  color: #bfbbd6;
}

#question h1 {
  margin-bottom: 10px;
}


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/